### Signal

# SpiceClientGLib MainChannel::main-clipboard-request

deprecated: 0.6

#### Declaration

    gboolean
    main_clipboard_request (
      SpiceMainChannel* self,
      guint types,
      gpointer user_data
    )

#### Description [src]

Request clipboard data from the client.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 0.6
Use SpiceMainChannel::main-clipboard-selection-request instead.

#### Parameters

`types`

  Type: `guint`

  The VD_AGENT_CLIPBOARD request type.

#### Return value

Type: `gboolean`

`TRUE` if the request is successful.